Storage Categories
Part of the Inventory API. Base URL https://your-domain.com/admin/api/v1 — replace the host with your own installation and the token placeholder with a real Bearer token (see Authentication).
List storage categories
GET/admin/api/v1/inventories/storage-categoriesRetrieve a paginated list of storage categories with filtering and sorting
🔒 Requires a valid Bearer token.
Query parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
include | string | No | Comma-separated list of relationships to include. Available options: company, creator, locations | company,locations |
filter[id] | string | No | Comma-separated list of IDs to filter by | architecto |
filter[name] | string | No | Filter by category name | Heavy |
filter[allow_new_products] | string | No | Filter by allow_new_products enum values | mixed |
filter[company_id] | string | No | Filter by company IDs | architecto |
sort | string | No | Sort field | -created_at |
curl -X GET "https://your-domain.com/admin/api/v1/inventories/storage-categories?include=company%2Clocations&filter%5Bid%5D=architecto&filter%5Bname%5D=Heavy&filter%5Ballow_new_products%5D=mixed&filter%5Bcompany_id%5D=architecto&sort=-created_at" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"const response = await fetch("https://your-domain.com/admin/api/v1/inventories/storage-categories?include=company%2Clocations&filter%5Bid%5D=architecto&filter%5Bname%5D=Heavy&filter%5Ballow_new_products%5D=mixed&filter%5Bcompany_id%5D=architecto&sort=-created_at", {
method: "GET",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/inventories/storage-categories?include=company%2Clocations&filter%5Bid%5D=architecto&filter%5Bname%5D=Heavy&filter%5Ballow_new_products%5D=mixed&filter%5Bcompany_id%5D=architecto&sort=-created_at', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/inventories/storage-categories?include=company%2Clocations&filter%5Bid%5D=architecto&filter%5Bname%5D=Heavy&filter%5Ballow_new_products%5D=mixed&filter%5Bcompany_id%5D=architecto&sort=-created_at"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
data = response.json()
print(data)Example response 200
{
"data": [
{
"id": null,
"name": "eius et",
"sort": 0,
"allow_new_products": "mixed",
"parent_path": null,
"max_weight": 0,
"created_at": null,
"updated_at": null
},
{
"id": null,
"name": "animi quos",
"sort": 0,
"allow_new_products": "mixed",
"parent_path": null,
"max_weight": 0,
"created_at": null,
"updated_at": null
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"page": null,
"active": false
},
{
"url": "/?page=1",
"label": "1",
"page": 1,
"active": true
},
{
"url": null,
"label": "Next »",
"page": null,
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}Error response — 401
{
"message": "Unauthenticated."
}Create storage category
POST/admin/api/v1/inventories/storage-categoriesCreate a new storage category
🔒 Requires a valid Bearer token.
Body parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
name | string | Yes | Storage category name. Must not be greater than 255 characters. |
max_weight | number | No | Maximum allowed weight. Must be at least 0. Must not be greater than 99999999. |
allow_new_products | string | Yes | Policy for new products. |
company_id | integer | No | Company ID. Must match an existing stored value. |
curl -X POST "https://your-domain.com/admin/api/v1/inventories/storage-categories" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "Heavy Goods",
"max_weight": 500,
"allow_new_products": "mixed",
"company_id": 1
}'const response = await fetch("https://your-domain.com/admin/api/v1/inventories/storage-categories", {
method: "POST",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
body: JSON.stringify({
"name": "Heavy Goods",
"max_weight": 500,
"allow_new_products": "mixed",
"company_id": 1
}),
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-domain.com/admin/api/v1/inventories/storage-categories', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
'json' => [
'name' => 'Heavy Goods',
'max_weight' => 500,
'allow_new_products' => 'mixed',
'company_id' => 1,
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/inventories/storage-categories"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
payload = {
"name": "Heavy Goods",
"max_weight": 500,
"allow_new_products": "mixed",
"company_id": 1,
}
response = requests.post(url, headers=headers, json=payload)
data = response.json()
print(data)Example response 201
{
"data": {
"id": null,
"name": "architecto eius",
"sort": 0,
"allow_new_products": "mixed",
"parent_path": null,
"max_weight": 0,
"created_at": null,
"updated_at": null
},
"message": "Storage category created successfully."
}Error response — 401
{
"message": "Unauthenticated."
}Show storage category
GET/admin/api/v1/inventories/storage-categories/{id}Retrieve a specific storage category by ID
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The storage category ID |
Query parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
include | string | No | Comma-separated list of relationships to include. Available options: company, creator, locations | company |
curl -X GET "https://your-domain.com/admin/api/v1/inventories/storage-categories/{id}?include=company" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"const response = await fetch("https://your-domain.com/admin/api/v1/inventories/storage-categories/{id}?include=company", {
method: "GET",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/inventories/storage-categories/{id}?include=company', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/inventories/storage-categories/{id}?include=company"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
data = response.json()
print(data)Example response 200
{
"data": {
"id": null,
"name": "aut adipisci",
"sort": 0,
"allow_new_products": "mixed",
"parent_path": null,
"max_weight": 0,
"created_at": null,
"updated_at": null
}
}Error response — 401
{
"message": "Unauthenticated."
}Update storage category
PUT/admin/api/v1/inventories/storage-categories/{id}Update an existing storage category
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The storage category ID |
Body parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
name | string | No | Storage category name. Must not be greater than 255 characters. |
max_weight | number | No | Maximum allowed weight. Must be at least 0. Must not be greater than 99999999. |
allow_new_products | string | No | Policy for new products. |
company_id | integer | No | Company ID. Must match an existing stored value. |
curl -X PUT "https://your-domain.com/admin/api/v1/inventories/storage-categories/{id}" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "Heavy Goods",
"max_weight": 500,
"allow_new_products": "mixed",
"company_id": 1
}'const response = await fetch("https://your-domain.com/admin/api/v1/inventories/storage-categories/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
body: JSON.stringify({
"name": "Heavy Goods",
"max_weight": 500,
"allow_new_products": "mixed",
"company_id": 1
}),
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-domain.com/admin/api/v1/inventories/storage-categories/{id}', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
'json' => [
'name' => 'Heavy Goods',
'max_weight' => 500,
'allow_new_products' => 'mixed',
'company_id' => 1,
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/inventories/storage-categories/{id}"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
payload = {
"name": "Heavy Goods",
"max_weight": 500,
"allow_new_products": "mixed",
"company_id": 1,
}
response = requests.put(url, headers=headers, json=payload)
data = response.json()
print(data)Example response 200
{
"data": {
"id": null,
"name": "architecto eius",
"sort": 0,
"allow_new_products": "mixed",
"parent_path": null,
"max_weight": 0,
"created_at": null,
"updated_at": null
},
"message": "Storage category updated successfully."
}Error response — 401
{
"message": "Unauthenticated."
}Delete storage category
DELETE/admin/api/v1/inventories/storage-categories/{id}Delete a storage category
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The storage category ID |
curl -X DELETE "https://your-domain.com/admin/api/v1/inventories/storage-categories/{id}" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"const response = await fetch("https://your-domain.com/admin/api/v1/inventories/storage-categories/{id}", {
method: "DELETE",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('DELETE', 'https://your-domain.com/admin/api/v1/inventories/storage-categories/{id}', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/inventories/storage-categories/{id}"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.delete(url, headers=headers)
data = response.json()
print(data)Example response 200
{
"message": "Storage category deleted successfully."
}Error response — 401
{
"message": "Unauthenticated."
}